#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
        Q_OBJECT

    public:
        explicit MainWindow(QWidget *parent = 0);
        ~MainWindow();

    private slots:
        void onAdd();
        void onRemove();
        void onHelp();
        void onResize();
        void onNewPath();
        void onTextChanged(QString);

    private:
        Ui::MainWindow *ui;

        QRegExp mRegex;
};

#endif // MAINWINDOW_H
